Wonder
post/svc/payment/api/v1/openapi/customers

Create a customer

Creates a new customer; if the reference_number already exists, it updates that customer instead (idempotent).

Header parameters

Signature
string

Example: good

Credential
string

Example: {{credential}}

x-request-id
string

Example: {{$string.uuid}}

x-i18n-lang
string

Example: zh-CN

Content-typerequired
string

Example: application/json

Request body · application/json

required
object

Your side customer unique id

namerequired
string

The customer's name

Example: <Your Customer's name>

email
string

The customer's email

Example: abc@def.com

phonerequired
string

The customer's mobile phone

Example: 12345678

dial_code
string

The customer's mobile phone country code

Example: +852

company_name
string

The customer's company name

Example: Universal Group Limited

reference_numberrequired
string

Your side unique number

Example: <Your side the customer unique id>

default_payment_token
string<uuid>

Set a default payment token of this customer

Example: 1b9d6bcd-bbfd-4b2d-9b5d-ab8dfbbd4bed

default_payment_method
enum<string>

Default payment method: Credit Card, Alipay or Wechat Pay

Credit CardAlipayWechat Pay

Example: Credit Card

Responses

code
number

Response code

required
object

Response data

required
object
message
string

Response message